#%define DATE pre1
%define version 1.2.8
%define name netsaint-plugins
%define release 2mdk


Summary: Host/service/network monitoring program plugins for NetSaint
Name: netsaint-plugins
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Networking/Other
Source0: http://www.netsaint.org/download/%{name}-%{version}-%{DATE}.tar.bz2
Patch0: netsaint-plugins-1.2.8-pre1.patch.bz2
BuildRoot: /var/tmp/%{name}-buildroot
AutoReqProv: no
Requires: netsaint

%description
NetSaint is a program that will monitor hosts and services on your network. It has the ability to email or page you when a
problem arises and when a problem is resolved. NetSaint is written in C and is designed to run under Linux (and some other
*NIX variants) as a background process, intermittently running checks on various services that you specify. The actual service
checks are performed by separate "plugin" programs which return the status of the checks to NetSaint. Several CGI programs are
included with NetSaint in order to allow you to view the current service status, problem history, notification history, and
log file via the web. 

This package contains the basic plugins necessary for use with the NetSaint package.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}-%{DATE}
%patch0

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr/lib/netsaint
make all

%install

mkdir -p $RPM_BUILD_ROOT/usr/libexec/netsaint
rm -rf plugins/check_*.c
install plugins/check_* $RPM_BUILD_ROOT/usr/libexec/netsaint
install plugins-scripts/check_* $RPM_BUILD_ROOT/usr/libexec/netsaint

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README REQUIREMENTS INSTALL Changelog
/usr/libexec/netsaint

%changelog
* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.8-2mdk
- fix group
- bzip2 patch

* Fri Feb 07 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v1.28-pre1
- used srpm provided by Stefan van der Eijk <s.vandereijk@chello.nl>

* Sat Feb 05 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- Updated to 1.28-pre1

* Sat Jan 22 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- Updated to CVS20000120

* Wed Jan 19 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- Modified .spec file a bit

* Wed Jan 12 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- Upgraded package from 1.2.7 to 1.2.7p1
- Modified spec file to allow non-root users to build it.

* Thu Nov 11 1999 Mike McHenry <mmchen@minn.net> (1.2.7)
- Upgraded package from 1.2.6 to 1.2.7
- Added support for check_game

* Tue Oct 19 1999 Mike McHenry <mmchen@minn.net> (1.2.6)
- Upgraded package from 1.2.4 to 1.2.6
- Resolved dependancy issue with libpq.so
- Added support for check_fping

* Fri Sep 03 1999 Mike McHenry <mmchen@minn.net> (1.2.4)
- Upgraded package from 1.2.2 to 1.2.4

* Mon Aug 16 1999 Mike McHenry <mmchen@minn.net> (1.2.2)
- First RPM build (1.2.2)
